Subject: bug#72224: closed (Re: bug#72224: Two bugs in windows operating system)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Aug 2024 08:31:02 +0000

Your bug report

#72224: Two bugs in windows operating system

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72224: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72224
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72224: Two bugs in windows operating system
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 17 Aug 2024 11:29:20 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Sun, 04 Aug 2024 12:09:28 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> [Please use Reply All to reply, to keep the bug tracker CC'ed.]
> 
> > Date: Sun, 04 Aug 2024 08:04:16 +0000
> > From: yellowPolyp <[email-masked]>
> > 
> > It's a stack exchange question describing the same problem as mine. 
> > https://emacs.stackexchange.com/questions/48422 . 
> 
> That talks about ansi-term.  ansi-term doesn't work on MS-Windows
> (because sub-processes cannot use PTYs to talk to Emacs), and in
> particular the stty command will not do what you expect, so the error
> is expected.
> 
> Your original report said something much more general: that starting
> programs with start-process didn't work, including invoking GDB.  If
> that was also via ansi-term, then there's nothing more to do here,
> it's just a limitation of Emacs on Windows.  To invoke GDB from Emacs,
> use "M-x gdb" instead.

No further comments, so I presume the bug was fixed by the above
advice, and I'm therefore closing this bug.  If and when there is new
information about the details, we can reopen it.

Subject: Two bugs in windows operating system
From: yellowPolyp <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 20 Jul 2024 12:50:34 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

There are two bugs in GNU Emacs running on Windows OS. 
First, When Emacs is opened in terminal mode, it displays some dark colors as 'green'. Usually these dark color has G and B which is bigger than 0. I think that it's related to `w32console`. 
Second, when I start dynamic programs like `sh` or `gdb` using `start-process`, Emacs shows error `starting child process:invalid argument`. This makes commands like `term` and `compile` unusable. 
Except these bugs, I'm having fun using Emacs. Thank you very much for creating this awesome text editor.